base.dir = "C:\\Users\\David\\Documents\\Niall"

velocity<-c(14,17,21,31)
##### Allende #####
mass_label<-c('1Em2','6Em1','3Em0','1Ep1','2Ep1')# allende

meteorite<-'Allende'

data_all <- NULL
for(j in 1:4){
  for(k in 1:5){
    setwd(paste("C:\\Users\\David\\Documents\\Niall\\JDCS ablation profiles with nickel\\Atmospheric profiles\\",meteorite,"\\v",velocity[j],sep=""))
    
   filename = paste("sza035v0",velocity[j],"mass",mass_label[k],"test_comp_allendev2.txt",sep="")
    A=scan(filename,what="char",sep=",")
    data=A
    B=as.numeric(data)
    
    C<-matrix(B,50,length(B)/50)
    D=t(C)
    cabmod_Mg <- D[,9]
    cabmod_Na <- D[,28]
    cabmod_Fe <- D[,47]
    cabmod_Ca <- D[,15]
    cabmod_AlO <- D[,19]
    cabmod_Ni <- D[,48]
    
    cabmod_alt <- D[,1]
    cabmod_time <- D[,2]
    cabmod_temp <- D[,4]
    
    int_Na <- sum(cabmod_Na)
    int_Fe <- sum(cabmod_Fe)
    int_Mg <- sum(cabmod_Mg)
    int_Ca <- sum(cabmod_Ca)
    int_Ni <- sum(cabmod_Ni)
    int_AlO <- sum(cabmod_AlO)
    
    peak_alt_Na <- cabmod_alt[which.max(cabmod_Na)]/1000 # convert to km
    peak_alt_Fe <- cabmod_alt[which.max(cabmod_Fe)]/1000
    peak_alt_Mg <- cabmod_alt[which.max(cabmod_Mg)]/1000
    peak_alt_Ca <- cabmod_alt[which.max(cabmod_Ca)]/1000
    peak_alt_AlO <- cabmod_alt[which.max(cabmod_AlO)]/1000
    peak_alt_Ni <- cabmod_alt[which.max(cabmod_Ni)]/1000
    
    peak_time_Na <- cabmod_time[which.max(cabmod_Na)]
    peak_time_Fe <- cabmod_time[which.max(cabmod_Fe)]
    peak_time_Mg <- cabmod_time[which.max(cabmod_Mg)]
    peak_time_Ca <- cabmod_time[which.max(cabmod_Ca)]
    peak_time_AlO <- cabmod_time[which.max(cabmod_AlO)]
    peak_time_Ni <- cabmod_time[which.max(cabmod_Ni)]
    
    peak_temp_Na <- cabmod_temp[which.max(cabmod_Na)]
    peak_temp_Fe <- cabmod_temp[which.max(cabmod_Fe)]
    peak_temp_Mg <- cabmod_temp[which.max(cabmod_Mg)]
    peak_temp_Ca <- cabmod_temp[which.max(cabmod_Ca)]
    peak_temp_AlO <- cabmod_temp[which.max(cabmod_AlO)]
    peak_temp_Ni <- cabmod_temp[which.max(cabmod_Ni)]
    
    max_temp <- max(cabmod_temp)
    time_max_temp <- cabmod_time[which.max(cabmod_temp)]
    alt_max_temp <- cabmod_alt[which.max(cabmod_temp)]/1000
    
    data_row <- c(velocity[j],mass_label[k],int_Na,int_Fe,int_Mg,int_Ca,int_AlO,int_Ni,
                  peak_alt_Na,peak_alt_Fe,peak_alt_Mg,peak_alt_Ca,peak_alt_AlO,peak_alt_Ni,
                  peak_time_Na,peak_time_Fe,peak_time_Mg,peak_time_Ca,peak_time_AlO,peak_time_Ni,
                  peak_temp_Na,peak_temp_Fe,peak_temp_Mg,peak_temp_Ca,peak_temp_AlO,peak_temp_Ni,
                  max_temp,time_max_temp,alt_max_temp)
    data_all <- rbind(data_all,data_row)
      }
}
setwd(base.dir)
new_file="M168_output_CABMOD_parameters_update_allende.txt"
write.table(data_all,new_file,sep="\t")

##### Chergach #####

mass_label<-c('1Em2','7Em1','4Em0','1Ep1','3Ep1')# chergach
meteorite<-'Chergach'

data_all <- NULL
for(j in 1:4){
  for(k in 1:5){
    setwd(paste("C:\\Users\\David\\Documents\\Niall\\JDCS ablation profiles with nickel\\Atmospheric profiles\\",meteorite,"\\v",velocity[j],sep=""))
    
    filename = paste("sza035v0",velocity[j],"mass",mass_label[k],"test_comp_chergach3.txt",sep="")
    A=scan(filename,what="char",sep=",")
    data=A
    B=as.numeric(data)
    
    C<-matrix(B,50,length(B)/50)
    D=t(C)
    cabmod_Mg <- D[,9]
    cabmod_Na <- D[,28]
    cabmod_Fe <- D[,47]
    cabmod_Ca <- D[,15]
    cabmod_AlO <- D[,19]
    cabmod_Ni <- D[,48]
    
    cabmod_alt <- D[,1]
    cabmod_time <- D[,2]
    cabmod_temp <- D[,4]
    
    int_Na <- sum(cabmod_Na)
    int_Fe <- sum(cabmod_Fe)
    int_Mg <- sum(cabmod_Mg)
    int_Ca <- sum(cabmod_Ca)
    int_Ni <- sum(cabmod_Ni)
    int_AlO <- sum(cabmod_AlO)
    
    peak_alt_Na <- cabmod_alt[which.max(cabmod_Na)]/1000 # convert to km
    peak_alt_Fe <- cabmod_alt[which.max(cabmod_Fe)]/1000
    peak_alt_Mg <- cabmod_alt[which.max(cabmod_Mg)]/1000
    peak_alt_Ca <- cabmod_alt[which.max(cabmod_Ca)]/1000
    peak_alt_AlO <- cabmod_alt[which.max(cabmod_AlO)]/1000
    peak_alt_Ni <- cabmod_alt[which.max(cabmod_Ni)]/1000
    
    peak_time_Na <- cabmod_time[which.max(cabmod_Na)]
    peak_time_Fe <- cabmod_time[which.max(cabmod_Fe)]
    peak_time_Mg <- cabmod_time[which.max(cabmod_Mg)]
    peak_time_Ca <- cabmod_time[which.max(cabmod_Ca)]
    peak_time_AlO <- cabmod_time[which.max(cabmod_AlO)]
    peak_time_Ni <- cabmod_time[which.max(cabmod_Ni)]
    
    peak_temp_Na <- cabmod_temp[which.max(cabmod_Na)]
    peak_temp_Fe <- cabmod_temp[which.max(cabmod_Fe)]
    peak_temp_Mg <- cabmod_temp[which.max(cabmod_Mg)]
    peak_temp_Ca <- cabmod_temp[which.max(cabmod_Ca)]
    peak_temp_AlO <- cabmod_temp[which.max(cabmod_AlO)]
    peak_temp_Ni <- cabmod_temp[which.max(cabmod_Ni)]
    
    max_temp <- max(cabmod_temp)
    time_max_temp <- cabmod_time[which.max(cabmod_temp)]
    alt_max_temp <- cabmod_alt[which.max(cabmod_temp)]/1000
    
    data_row <- c(velocity[j],mass_label[k],int_Na,int_Fe,int_Mg,int_Ca,int_AlO,int_Ni,
                  peak_alt_Na,peak_alt_Fe,peak_alt_Mg,peak_alt_Ca,peak_alt_AlO,peak_alt_Ni,
                  peak_time_Na,peak_time_Fe,peak_time_Mg,peak_time_Ca,peak_time_AlO,peak_time_Ni,
                  peak_temp_Na,peak_temp_Fe,peak_temp_Mg,peak_temp_Ca,peak_temp_AlO,peak_temp_Ni,
                  max_temp,time_max_temp,alt_max_temp)
    data_all <- rbind(data_all,data_row)
  }
}
setwd(base.dir)
new_file="M168_output_CABMOD_parameters_update_chergach.txt"
write.table(data_all,new_file,sep="\t")