scan_MASI_data <- function(current_directory,curr_filename){
  setwd(current_directory)
  
  A=scan(curr_filename,what="char",sep=",")
  data=A[18:(length(A))]
  B=as.numeric(data)
  
  C<-matrix(B,12,length(B)/12)
  D=t(C)
  num_points <- length(D[,1]) - 1 
  sum_col8 <- sum(D[3:(num_points-1),8])
  sum_col9 <- sum(D[3:(num_points-1),9])
  if(sum_col9>sum_col8){
      signal_M2 <- D[1:(num_points),9]-D[1:(num_points),8]
  } else {
      signal_M2 <- D[1:(num_points),8]-D[1:(num_points),9]
  }
  sum_col5 <- sum(D[3:(num_points-1),5])
  sum_col6 <- sum(D[3:(num_points-1),6])
  if(sum_col6>sum_col5){
      signal_Na <- D[1:(num_points),6]-D[1:(num_points),5]
  } else {
      signal_Na <- D[1:(num_points),5]-D[1:(num_points),6]
  }
 

  time_expt <- D[1:num_points,1]*0.004
  measured_T <- D[1:num_points,12]

  raw_data <- cbind(signal_Na, signal_M2, time_expt, measured_T)
  return(raw_data)
}